package Utils

import (
	"github.com/swzry/go.TSmap"
	"golang.org/x/crypto/ssh"
	"golang.org/x/crypto/ssh/terminal"
)

type ClientConnection struct {
	Channels TSmap.TSmap
}

type UserContextType struct {
	PWD string
}

type AvaliableChannel struct {
	Channel ssh.Channel
	Term    *terminal.Terminal
	UserContext UserContextType
}
